commit:     7ae9a466035dd80007f1a5f69f3af01199c087cf
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 14 02:02:26 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Jun 14 02:02:47 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=7ae9a466

sci-libs/pytorch: do not rerun compile during install.

This is a workaround for the convolved torch cmake build system.

Package-Manager: Portage-2.3.88, Repoman-2.3.18
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-libs/pytorch/pytorch-1.4.0_p0.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/sci-libs/pytorch/pytorch-1.4.0_p0.ebuild 
b/sci-libs/pytorch/pytorch-1.4.0_p0.ebuild
index 90c7e9a9d..e77582078 100644
--- a/sci-libs/pytorch/pytorch-1.4.0_p0.ebuild
+++ b/sci-libs/pytorch/pytorch-1.4.0_p0.ebuild
@@ -194,6 +194,9 @@ src_configure() {
        if use python; then
                CMAKE_BUILD_DIR=${BUILD_DIR} distutils-r1_src_configure
        fi
+
+       # do not rerun cmake and the build process in src_install
+       sed '/RERUN/,+1d' -i ${BUILD_DIR}/build.ninja || die
 }
 
 src_compile() {

Reply via email to